{
  "crawlerFilters": {
    "BITBUCKET_REPOS": {
      "type": "string"
    }
  },
  "additionalFields": {
    "team": {
      "title": {
        "displayName": "Team"
      },
      "type": "stringNotAnalyzed"
    },
    "repo": {
      "title": {
        "displayName": "Code Repository"
      },
      "type": "stringNotAnalyzed"
    }
  },
  "externalUrls": {
    "COMMIT": {
      "url": "${dataSource.baseUiUrl}/${entity.urlParts.repository}/commit/${entity.urlParts.sha}"
    },
    "LABEL": {
      "url": "${dataSource.baseUiUrl}/${entity.urlParts.repository}/releases/tag/${entity.urlParts.title}"
    },
    "PULL_REQUEST": {
      "url": "${dataSource.baseUiUrl}/${entity.urlParts.repository}/pull/${entity.urlParts.id}"
    }
  },
  "entityNames": {
    "COMMIT": {
      "displayName": "Bitbucket Commit"
    },
    "LABEL": {
      "displayName": "Bitbucket Release"
    },
    "PULL_REQUEST": {
      "displayName": "Bitbucket Pull Request"
    }
  },
  "relations": {
    "parent": {
      "type": "precise",
      "requireSameDataSource": true,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": true,
        "types": [
          "COMMIT"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "COMMIT"
        ],
        "pluginIds": null
      },
      "relationType": "parentCommit",
      "fromField": "other.relations.parents",
      "toField": "id"
    },
    "taggedCommitReference": {
      "type": "precise",
      "requireSameDataSource": true,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": true,
        "types": [
          "LABEL"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "COMMIT"
        ],
        "pluginIds": null
      },
      "relationType": "commitReference",
      "fromField": "other.relations.commit.to",
      "toField": "id"
    },
    "mergeCommitReference": {
      "type": "via",
      "requireSameDataSource": true,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": true,
        "types": [
          "COMMIT"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "COMMIT"
        ],
        "pluginIds": null
      },
      "relationType": "parentCommit",
      "fromField": "id",
      "toField": "id",
      "via": {
        "requireMe": true,
        "types": [
          "PULL_REQUEST"
        ],
        "pluginIds": null
      },
      "viaFieldToMatchFrom": "other.relations.mergeCommitId",
      "viaFieldToMatchTo": "other.relations.lastCommitId"
    },
    "commitReference": {
      "type": "pattern",
      "requireSameDataSource": false,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": false,
        "types": [
          "BUILD"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "COMMIT"
        ],
        "pluginIds": null
      },
      "relationType": "commitReference",
      "regexp": "(^|[^0-9a-f])([0-9a-f]{40})($|[^0-9a-f])",
      "windowSize": 42,
      "beforeGroup": 0,
      "afterGroup": -1,
      "meaningfulGroup": 2,
      "regexpIsOn": "FROM",
      "patternFields": [
        "*"
      ],
      "preciseField": "other.relations.sha"
    }
  },
  "plugin": {
    "id": "BitbucketCloudPlugin",
    "name": "Bitbucket",
    "version": "1"
  },
  "manifestVersion": 1,
  "validDataTypes": [
    "COMMIT",
    "PULL_REQUEST",
    "LABEL"
  ]
}